%global momorel 1
%global unstable 0
%if 0%{unstable}
#%%global svnrel 979380
%global release_dir unstable
%else
%global release_dir stable
%endif
%global kdever 4.3.2
%global kdelibsrel 1m
%global qtver 4.5.2
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global ftpdirver 4.3.2
%global sourcedir %{release_dir}/%{ftpdirver}/src

Name: kdelibs-experimental
Summary: K Desktop Environment 4 - Libraries (experimental)
Version: %{kdever}
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPLv2
URL: http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}%{?svnrel:svn%{svnrel}}.tar.bz2
NoSource: 0

## same as kdelibs...
BuildRequires: qt-devel >= %{qtver}-%{qtrel}
BuildRequires: kdelibs >= %{kdever}-%{release}
PreReq: coreutils
PreReq: desktop-file-utils
PreReq: gtk2
PreReq: shared-mime-info
Requires: qt >= %{qtver}-%{qtrel}
Requires: kdelibs-common
Requires: xdg-utils
Requires: hicolor-icon-theme
BuildRequires: alsa-lib-devel
BuildRequires: automoc
BuildRequires: avahi-devel
BuildRequires: bzip2-devel
BuildRequires: cmake >= %{cmakever}-%{cmakerel}
BuildRequires: cups-devel cups
BuildRequires: enchant-devel
BuildRequires: gamin-devel
BuildRequires: gettext-devel
BuildRequires: giflib-devel
# busted at least on x86_64
#BuildRequires: hspell-devel
BuildRequires: jasper-devel
BuildRequires: krb5-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libxslt-devel
BuildRequires: libxml2-devel
BuildRequires: OpenEXR-devel >= 1.6.1
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: phonon-devel >= 4.3.1
BuildRequires: sed
BuildRequires: shared-mime-info
BuildRequires: soprano-devel >= 2.2.69
BuildRequires: strigi-devel >= 0.6.3-2m
BuildRequires: zlib-devel
BuildRequires: libutempter-devel
# extra X deps (seemingly needed and/or checked-for by most kde4 buildscripts) 
%define x_deps libXcomposite-devel libXdamage-devel libxkbfile-devel libXpm-devel libXScrnSaver-devel libXtst-devel libXv-devel libXxf86misc-devel
%{?x_deps:BuildRequires: %{x_deps}}
BuildRequires: openssh-clients
BuildRequires: subversion
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Experimental Libraries for the K Desktop Environment 4.

%package devel
Group: Development/Libraries
Summary: Header files for compiling KDE 4 applications (experimental)
Requires: %{name} = %{version}-%{release}
Requires: qt-devel
Requires: automoc
Requires: openssl-devel
Requires: phonon-devel >= 4.2.1
Requires: bzip2-devel
Requires: gamin-devel
Requires: libacl-devel
Requires: zlib-devel
Requires: strigi-devel >= 0.6.3-2m
%{?x_deps:Requires: %{x_deps}}

%description devel
This package includes the header files you will need to compile
applications for KDE 4. (experimental)

%prep
%setup -q -n %{name}-%{version}%{?svnrel:svn%{svnrel}}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform} 
%{cmake_kde4} \
	..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

## remove empty directory
rm -rf %{buildroot}%{_kde4_docdir}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig ||:

%files
%defattr(-,root,root,-)
%{_kde4_libdir}/libknotificationitem-1.so.*
%{_datadir}/dbus-1/interfaces/*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/knotificationitem-1
%{_kde4_libdir}/libknotificationitem-1.so

%changelog
* Wed Oct  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.2-1m)
- update to KDE 4.3.2

* Fri Sep  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.1-1m)
- update to KDE 4.3.1

* Thu Aug  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.3.0-1m)
- update to KDE 4.3.0 official release

* Fri Jul 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.98-1m)
- update to KDE 4.3 RC3 (4.2.98)

* Sat Jul 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.96-1m)
- update to KDE 4.3 RC2 (4.2.96)

* Thu Jul  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.95-1m)
- update to KDE 4.3 RC (4.2.95)

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.91-1m)
- update to 4.2.91

* Thu Jun 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.90-1m)
- update to KDE 4.3 beta 2 (4.2.90)

* Sun Jun  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.89-1m)
- update to 4.2.89

* Sat May 30 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.88-1m)
- update to 4.2.88

* Fri May 22 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.87-1m)
- update to 4.2.87

* Thu May 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.85-1m)
- initial build for Momonga Linux
